﻿@model IEnumerable<DomainClass.E_Status>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>اطلاعات اشتغال</h4>
<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "E_Status", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>
            شماره ملی
            @Html.DisplayNameFor(model => model.User.UserName)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Shp)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.NoEstekhdam)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NoMoghararatEstekhdam)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.VaziatKhedmat)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DastgahMahalKhedmat)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.VahedSazmani)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.G_Ostan)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Shp)
        </td>
        @*<td>
            @Html.EnumDisplay(item.NoEstekhdam)
            @Html.DisplayFor(modelItem => item.NoEstekhdam)
        </td>
        <td>
            @Html.EnumDisplay(item.NoMoghararatEstekhdam)
            @Html.DisplayFor(modelItem => item.NoMoghararatEstekhdam)
        </td>*@
        <td>
            @Html.EnumDisplay(item.VaziatKhedmat)
@*            @Html.DisplayFor(modelItem => item.VaziatKhedmat)*@
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DastgahMahalKhedmat)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.VahedSazmani)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.G_Ostan)
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>
